<?php

namespace Litecms\Advert\Policies;

use Litecms\Advert\Models\Advert;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait AdvertAction
{

    /**
     * Determine if the given user can copy the given advert.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Advert $advert)
    {

        if ($authUser->canDo('advert.advert.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given advert.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Advert $advert) {

        if ($authUser->canDo('advert.advert.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given advert.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Advert $advert)
    {

        if ($authUser->canDo('advert.advert.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
