<?php

namespace Litecms\Advert\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait AdvertExim
{

    /**
     * Determine if the given user can approve the given advert.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('advert.advert.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given advert.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('advert.advert.export')) {
            return true;
        }

        return false;
    }
}
